<template>
  <div>
    <v-container fluid class="mb-4 ma-0 pa-0" align="stretch" height="100%">
      <v-card class="pa-5" height="100%">
        <v-row
          width="100%"
          justify="start"
          align="center"
          class="mb-6 ma-0 pa-0"
        >
          <span class="title-idx-text">Índice por Dimensiones</span>
        </v-row>
        <v-row class="ma-0 pa-0">
          <v-col
            class="ma-0 pa-0"
            cols="12"
            xs="12"
            sm="12"
            md="6"
            lg="6"
            xl="6"
          >
            <apexchart type="radar" :options="chartOptions" :series="series" />
          </v-col>
          <v-col
            class="ma-0 py-0 pr-0"
            cols="12"
            xs="12"
            sm="12"
            md="6"
            lg="6"
            xl="6"
          >
            <percentages :values="dimensions" />
          </v-col>
        </v-row>
      </v-card>
    </v-container>
    <v-container fluid class="mb-4 ma-0 pa-0" height="100%">
      <v-card class="pa-5" height="100%">
        <v-row class="ma-0 pa-0">
          <v-col
            class="ma-0 pa-0"
            :class="desktop ? 'pr-10' : ''"
            cols="12"
            xs="12"
            sm="12"
            md="9"
            lg="9"
            xl="9"
          >
            <v-row
              width="100%"
              justify="start"
              align="center"
              class="mb-6 ma-0 pa-0"
            >
              <span style="width: auto !important" class="title-idx-text mr-2"
                >Hoja de Ruta Tway</span
              >
              <v-tooltip top>
                <template v-slot:activator="{ on, attrs }">
                  <v-img
                    v-bind="attrs"
                    v-on="on"
                    class="image-percentage"
                    width="20px"
                    max-width="20px"
                    :src="require('@/assets/img/icons/info.svg')"
                  />
                </template>
                <div style="width: 250px; z-index: 1000 !important">
                  <span
                    >Mapeamos tu proceso para que tengas una visión global del
                    camino hacia la Transformación Digital</span
                  >
                </div>
              </v-tooltip>
            </v-row>
            <timeline :value="dti.score" />
          </v-col>
          <v-col
            class="ma-0 pa-0"
            cols="12"
            xs="12"
            sm="12"
            md="3"
            lg="3"
            xl="3"
          >
            <v-img
              class="image-percentage"
              :src="require('@/assets/img/timeline.svg')"
            />
          </v-col>
        </v-row>
      </v-card>
    </v-container>
    <v-row class="pa-0 ma-0">
      <v-col
        class="ma-0 pa-0"
        :class="desktop ? 'pr-4' : 'pb-4'"
        cols="12"
        xs="12"
        sm="12"
        md="4"
        lg="4"
        xl="4"
      >
        <v-card class="pa-5" height="100%">
          <v-row
            width="100%"
            justify="start"
            align="center"
            class="mb-6 ma-0 pa-0"
          >
            <span class="title-idx-text">Benchmark</span>
          </v-row>
          <v-row
            class="mb-6 ma-0 pa-0"
            width="100%"
            justify="start"
            align="center"
          >
            <div class="mr-2 place-icon-first" v-if="sector.checked">
              <span v-if="flagRanking == 1">{{ rankingGlobalNumber }}</span>
              <span v-if="flagRanking == 2">{{ rankingSectorNumber }}</span>
              <v-img
                class="image-percentage"
                width="70px"
                max-width="70px"
                :src="require('@/assets/img/icons/place.svg')"
              />
            </div>
            <span v-if="sector.checked"
              >Tu posición en
              {{
                flagRanking == 1
                  ? "Tway"
                  : sector.industrialSector && sector.industrialSector.name
                  ? sector.industrialSector.name
                  : "sector"
              }}</span
            >
          </v-row>
          <v-row
            width="100%"
            justify="start"
            align="center"
            class="mb-2 ma-0 pa-0"
            v-if="sector.checked"
          >
            <v-btn
              depressed
              rounded
              small
              :color="flagRanking == 1 ? '#DCC5F4' : '#f1f1f1'"
              @click="
                () => {
                  flagRanking = 1;
                }
              "
              class="roboto mr-2 mb-2"
              :style="
                (flagRanking == 1 ? 'color: #7319D5;' : 'color: #999999;') +
                ' text-transform: capitalize; font-size: 14px;'
              "
            >
              Global
            </v-btn>
            <v-tooltip bottom>
              <template v-slot:activator="{ on, attrs }">
                <v-btn
                  depressed
                  rounded
                  small
                  v-bind="attrs"
                  v-on="on"
                  style="max-width: 100%"
                  :color="flagRanking == 2 ? '#DCC5F4' : '#f1f1f1'"
                  class="roboto mb-2"
                  @click="
                    () => {
                      flagRanking = 2;
                    }
                  "
                  :style="
                    (flagRanking == 2 ? 'color: #7319D5;' : 'color: #999999;') +
                    ' text-transform: capitalize; font-size: 14px;'
                  "
                >
                  <span
                    v-if="
                      sector.industrialSector && sector.industrialSector.name
                    "
                    >{{ sector.industrialSector.name.substring(0, 25) }}</span
                  >
                </v-btn>
              </template>
              <span
                v-if="sector.industrialSector && sector.industrialSector.name"
                >{{ sector.industrialSector.name }}</span
              >
            </v-tooltip>
          </v-row>
          <v-container fluid class="ma-0 pa-0" v-if="sector.checked">
            <v-row
              v-for="(element, elementIndex) in flagRanking == 1
                ? rankingGlobal
                : rankingSector"
              :key="elementIndex"
              class="mb-1 ma-0 pa-0"
              width="100%"
              justify="space-between"
              align="center"
            >
              <div
                style="
                  display: flex;
                  flex-direction: row;
                  align-items: center;
                  max-width: 80% !important;
                  overflow: hidden;
                "
              >
                <div
                  :style="'opacity: ' + (1 - elementIndex / 5) + ';'"
                  class="mr-2 place-icon"
                >
                  <span>{{ elementIndex + 1 }}</span>
                  <v-img
                    class="image-percentage"
                    width="50px"
                    max-width="50px"
                    :src="require('@/assets/img/icons/place.svg')"
                  />
                </div>
                <span style="color: #333333" class="roboto" v-if="element.name">
                  <div style="white-space: nowrap; overflow: hidden">
                    <v-tooltip bottom>
                      <template v-slot:activator="{ on, attrs }">
                        <span v-bind="attrs" v-on="on">{{ element.name }}</span>
                      </template>
                      <span>{{ element.name }}</span>
                    </v-tooltip>
                  </div>
                </span>
              </div>
              <span style="color: #333333" class="roboto"
                >{{ toFixed(element.score * 10, 0) }}%</span
              >
            </v-row>
          </v-container>
          <v-row
            width="100%"
            justify="center"
            align="center"
            class="ma-0 mt-4 pa-0"
            v-if="sector.checked"
          >
            <v-btn
              depressed
              rounded
              x-large
              color="#16C62E"
              class="white--text"
              :to="{ name: 'plans' }"
            >
              ver planes
            </v-btn>
          </v-row>
          <v-row justify="center" align="center" v-if="!sector.checked">
            <v-img
              max-width="55%"
              :src="require('@/assets/img/icons/0_ranking.svg')"
            />
          </v-row>
          <v-row
            width="100%"
            justify="center"
            align="center"
            class="mb-2 mt- ma-0 pa-0"
            v-if="!sector.checked"
          >
            <span class="sub-title-no-ranking">Tu Posición en Tway</span>
          </v-row>
          <v-row
            width="100%"
            justify="start"
            align="center"
            class="mb-1 ma-0 pa-0"
            v-if="!sector.checked"
          >
            <span class="no-ranking-text"
              >Para saber tu posición en Tway, debes completar los datos de tu
              perfil.</span
            >
          </v-row>
          <v-row
            width="100%"
            justify="center"
            align="center"
            class="ma-0 mt-4 pa-0"
            v-if="!sector.checked"
          >
            <v-btn
              depressed
              rounded
              color="#16C62E"
              class="button-text white--text"
              :to="{ name: 'complete-profile' }"
            >
              COMPLETAR PERFIL
            </v-btn>
          </v-row>
        </v-card>
      </v-col>
      <v-col class="ma-0 pa-0" cols="12" xs="12" sm="12" md="8" lg="8" xl="8">
        <v-card class="pa-5" height="100%">
          <v-row width="100%" justify="start" align="start" class="ma-0 pa-0">
            <v-img
              width="100%"
              max-width="85px"
              v-if="worse && worse.image"
              :src="require('@/assets/img/icons/' + worse.image)"
            />
            <v-col>
              <v-row
                width="100%"
                justify="start"
                align="start"
                class="ma-0 pa-0"
              >
                <span class="title-idx-text">Desafío Estratégico</span>
              </v-row>
              <v-row
                width="100%"
                justify="start"
                align="start"
                class="ma-0 pa-0"
              >
                <strong
                  style="font-weight: bold !important"
                  class="title-idx-text text-capitalize"
                  >{{ worse.name.toLowerCase() }}</strong
                >
              </v-row>
            </v-col>
          </v-row>
          <v-row
            width="100%"
            justify="center"
            align="center"
            class="ma-0 mt-4 pa-0"
          >
            <bars
              v-if="this.dti.dimensions.find((e) => e.id == worse.id)"
              :values="
                this.dti.dimensions.find((e) => e.id == worse.id).subdimensions
              "
            />
          </v-row>
          <span
            class="roboto"
            style="
              font-size: 16px;
              line-height: 20px;
              white-space: pre-line;
              word-wrap: break-word;
            "
            >{{ levelSelected(worse.name) }}</span
          >
          <v-row
            width="100%"
            justify="center"
            align="center"
            class="ma-0 mt-4 pa-0"
          >
            <v-btn
              depressed
              rounded
              x-large
              color="transparent"
              class="tway-violet--text"
              :to="{ name: 'plans' }"
            >
              ver planes
            </v-btn>
            <v-btn
              depressed
              rounded
              x-large
              color="tway-violet"
              class="white--text"
              :to="{ name: 'dashboardimension', params: { id: worse.id } }"
            >
              ver {{ worse.name }}
            </v-btn>
          </v-row>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<style scoped lang="scss">
.no-ranking-text {
  font-family: Roboto Condensed;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 24px;
  /* or 150% */

  text-align: center;
}

.sub-title-no-ranking {
  font-family: Josefin Sans;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 20px;
  color: #999999;
}

.no-dashboard-text {
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;
  text-align: center;
}

.small-btn-text-1 {
  font-size: 10px;
  color: #7319d5;
}

.small-btn-text-2 {
  font-size: 10px;
  color: #999999;
}

.center-text {
  text-align: center !important;
}

.title-idx-text {
  font-size: 23px;
  width: 100%;
  .element {
    text-transform: lowercase;
  }
  line-height: 30px;
  font-weight: 400;
  text-align: start;
}

.title-idx-small {
  font-size: 14px;
  .element {
    text-transform: lowercase;
  }
  line-height: 30px;
  font-weight: 400;
  text-align: start;
}

.place-icon {
  display: flex;
  flex-direction: column;
  align-items: center;
  span {
    margin-bottom: -37px;
    font-size: 26px;
    font-weight: bold;
    color: #7319d5;
  }
}

.place-icon-first {
  display: flex;
  flex-direction: column;
  align-items: center;
  span {
    margin-bottom: -50px;
    font-size: 35px;
    font-weight: bold;
    color: #16c62e;
  }
}

.title-idx-subtitle {
  font-size: 25px;
  line-height: 30px;
  font-weight: 700;
  text-align: start;
  color: #7319d5;
}

.item-title {
  font-size: 12px;
  line-height: 14px;
  width: 100%;
  font-weight: 400;
  text-align: start;
  cursor: pointer;
}

.item-title:hover,
.item-title:focus {
  color: rgba(#000, 0.6);
}

.item-score {
  font-size: 30px;
  width: 100%;
  line-height: 14px;
  font-weight: 400;
  color: #333333;
  text-align: start;
}

.item-score-danger {
  font-size: 30px;
  width: 100%;
  color: #b71c1c;
  line-height: 14px;
  font-weight: 400;
  text-align: start;
}

.center-card {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.body-idx-text {
  font-size: 16px;
  line-height: 20px;
  font-weight: 400;
  text-align: start;
  color: rgba(#000, 0.8);
}

.pertentage-text {
  color: #4a148c;
  font-size: 50px;
  line-height: 82.03px;
  text-align: center;
  font-weight: 700;
}

.pertentage-text-danger {
  color: #b71c1c;
  font-size: 50px;
  line-height: 82.03px;
  text-align: center;
  font-weight: 700;
}

.full-height {
  height: 100%;
}

.border-bottom {
  border-bottom: 1px solid #dedede;
}

.worse-title {
  color: #7319d5;
  text-transform: lowercase;
}

.worse-text {
  font-size: 16px;
}
</style>

<script>
import PercentageItems from "@/components/dashboard/PercentageItems";
import BarsItems from "@/components/dashboard/BarsItems";
import Timeline from "@/components/dashboard/Timeline";
import dtService from "@/services/dtService";
import currentUserService from "@/services/currentUserService";
import companyService from "@/services/companyService";
import LevelsJSON from "@/utils/Levels.json";
import { mapActions, mapGetters } from "vuex";

export default {
  components: {
    // DimensionDetail,
    // ChartIndice,
    percentages: PercentageItems,
    timeline: Timeline,
    bars: BarsItems,
  },

  data: () => ({
    sector: {},
    flagRanking: 1,
    percentage: {
      value: 0,
      name: "Madurez en Transformación Digital",
      index: true,
    },
    rankingGlobal: [],
    rankingGlobalNumber: 0,
    rankingSectorNumber: 0,
    rankingSector: [],
    levels: [],
    dimensions: [
      {
        value: 0,
        name: "MODELO DE NEGOCIO",
        image: "bars.svg",
        id: "",
        description:
          "Cuestionar los actuales diferenciadores de negocio y proyectar a la competencia como socio colaborativo para fortalecer la propuesta de valor futura. Compartir data financiera y operacional al interior de la organización.Mapear el viaje del cliente y su soporte, la cadena de suministro, canales de distribución y posibles alianzas para impulsar oportunidades, bajar costos y actuar ágil al incoprorar tecnologías, data e innovaciones.",
      },
      {
        value: 0,
        name: "FACILITADORES",
        image: "console.svg",
        id: "",
        description:
          "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam eligendi hic in accusamus quasi, consectetur voluptate tempore esse neque a dicta quaerat veniam, consequuntur sequi, vel aspernatur sed nemo magni!",
      },
      {
        value: 0,
        name: "MENTALIDAD",
        image: "users.svg",
        id: "",
        description:
          "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam eligendi hic in accusamus quasi, consectetur voluptate tempore esse neque a dicta quaerat veniam, consequuntur sequi, vel aspernatur sed nemo magni!",
      },
      {
        value: 0,
        name: "ORQUESTACIÓN",
        image: "barsup.svg",
        id: "",
        description:
          "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Magnam eligendi hic in accusamus quasi, consectetur voluptate tempore esse neque a dicta quaerat veniam, consequuntur sequi, vel aspernatur sed nemo magni!",
      },
    ],
    isLoading: true,
    complete: false,
    dti: {
      score: 0,
      dimensions: [],
    },
    selectedDimension: null,
    series: [
      {
        data: [0, 0, 0, 0],
      },
    ],
    chartOptions: {
      chart: {
        toolbar: {
          show: false,
        },
      },
      xaxis: {
        categories: [
          ["ORQUESTACIÓN"],
          ["MODELO", "DE", "NEGOCIO"],
          "FACILITADORES",
          ["MENTALIDAD"],
        ],
      },
      stroke: {
        show: true,
        width: 2,
        colors: ["#15c62e"],
        dashArray: 0,
      },
      markers: {
        size: 0,
        hover: {
          size: 10,
        },
      },
      fill: {
        opacity: 0.15,
        colors: ["#7D00FF"],
      },
      plotOptions: {
        radar: {
          size: 80,
          offsetX: 0,
          offsetY: 0,
          polygons: {
            strokeColors: "#e9dbf9",
            strokeWidth: 1,
            strokeDash: 4,
            connectorColors: "#DCC5F4",
            fill: {
              colors: undefined,
            },
          },
        },
      },
      labels: {
        show: true,
        style: {
          colors: ["#000000"],
          fontSize: "13px",
          fontFamily: "Roboto Condensed",
        },
      },
    },
  }),

  created() {
    this.getLevels();
    currentUserService
      .currentUserData()
      .then((userData) => {
        this.user = userData;
        dtService
          .getSurveyComplete("a123", this.user.id)
          .then((questions) => {
            this.SET_PERCENTAGE(
              Math.floor((questions.answered / questions.total) * 100)
            );

            if (this.getPercentage != 100) {
              this.finishLoading();
            } else {
              this.getDti(this.user.id, questions.surveyId);
            }
          })
          .catch((err) => {
            this.$log.error(err);
          });
      })
      .catch((err) => this.$log.error(err));
  },

  methods: {
    ...mapActions("UserStore", ["SET_PERCENTAGE"]),
    getLevels() {
      this.levels = LevelsJSON;
    },
    levelSelected: function (name) {
      let indexLevel = "";
      let value = 0;
      if (this.dti.dimensions.find((e) => e.name == "Modelo de Negocio")) {
        if (name == "MODELO DE NEGOCIO") {
          value = this.toFixed(
            (this.dti.dimensions.find((e) => e.name == "Modelo de Negocio")
              .idx *
              100) /
              28,
            1
          );
          indexLevel = this.levels.findIndex(
            (level) => level.name === "Modelo de Negocio"
          );
        }
        if (name == "MENTALIDAD") {
          value = this.toFixed(
            (this.dti.dimensions.find((e) => e.name == "Mentalidad").idx *
              100) /
              29,
            1
          );
          indexLevel = this.levels.findIndex(
            (level) => level.name === "Mentalidad"
          );
        }
        if (name == "ORQUESTACIÓN") {
          value = this.toFixed(
            (this.dti.dimensions.find((e) => e.name == "Orquestación").idx *
              100) /
              21,
            1
          );
          indexLevel = this.levels.findIndex(
            (level) => level.name === "Orquestación"
          );
        }
        if (name == "FACILITADORES") {
          value = this.toFixed(
            (this.dti.dimensions.find((e) => e.name == "Facilitadores").idx *
              100) /
              22,
            1
          );
          indexLevel = this.levels.findIndex(
            (level) => level.name === "Facilitadores"
          );
        }
      }

      if (this.levels[indexLevel]) {
        if (value * 10 <= 40) {
          return this.levels[indexLevel].description[0].texto;
        } else if (value * 10 > 40 && value * 10 <= 60) {
          return this.levels[indexLevel].description[1].texto;
        } else if (value * 10 > 60 && value * 10 <= 80) {
          return this.levels[indexLevel].description[2].texto;
        } else if (value * 10 > 80) {
          return this.levels[indexLevel].description[3].texto;
        } else {
          return "";
        }
      }
      return "";
    },
    finishLoading() {
      this.$emit("finishloading");
    },
    toFixed(num, fixed) {
      var re = new RegExp("^-?\\d+(?:\\.\\d{0," + (fixed || -1) + "})?");
      return num.toString().match(re)[0];
    },
    changePercentage(index) {
      this.percentage = {
        name: this.dimensions[index].name,
        value: this.dimensions[index].value,
        index: false,
      };
    },
    getDti(userId, surveyId) {
      dtService
        .getDti(userId, surveyId)
        .then((dti) => {
          this.dti = dti;
          this.selectedDimension = dti.dimensions[0];
          this.percentage.value = (this.dti.score * 10).toFixed(0);
          this.dimensions = [
            {
              value: this.toFixed(
                (this.dti.dimensions.find((e) => e.name == "Modelo de Negocio")
                  .idx *
                  100) /
                  28,
                1
              ),
              name: this.dti.dimensions
                .find((e) => e.name == "Modelo de Negocio")
                .name.toUpperCase(),
              image: "bars.svg",
              description: this.dimensions[0].description,
              id: this.dti.dimensions.find((e) => e.name == "Modelo de Negocio")
                .id,
            },
            {
              value: this.toFixed(
                (this.dti.dimensions.find((e) => e.name == "Mentalidad").idx *
                  100) /
                  29,
                1
              ),
              name: this.dti.dimensions
                .find((e) => e.name == "Mentalidad")
                .name.toUpperCase(),
              image: "console.svg",
              description: this.dimensions[1].description,
              id: this.dti.dimensions.find((e) => e.name == "Mentalidad").id,
            },
            {
              value: this.toFixed(
                (this.dti.dimensions.find((e) => e.name == "Orquestación").idx *
                  100) /
                  21,
                1
              ),
              name: this.dti.dimensions
                .find((e) => e.name == "Orquestación")
                .name.toUpperCase(),
              image: "users.svg",
              description: this.dimensions[2].description,
              id: this.dti.dimensions.find((e) => e.name == "Orquestación").id,
            },
            {
              value: this.toFixed(
                (this.dti.dimensions.find((e) => e.name == "Facilitadores")
                  .idx *
                  100) /
                  22,
                1
              ),
              name: this.dti.dimensions
                .find((e) => e.name == "Facilitadores")
                .name.toUpperCase(),
              image: "barsup.svg",
              description: this.dimensions[3].description,
              id: this.dti.dimensions.find((e) => e.name == "Facilitadores").id,
            },
          ];
          setTimeout(() => {
            document.getElementsByClassName(
              "apexcharts-legend"
            )[0].style.visibility = "hidden";
            this.series = [
              {
                data: [
                  (this.dti.dimensions.find((e) => e.name == "Orquestación")
                    .idx *
                    100 *
                    10) /
                    21,
                  (this.dti.dimensions.find(
                    (e) => e.name == "Modelo de Negocio"
                  ).idx *
                    100 *
                    10) /
                    28,
                  (this.dti.dimensions.find((e) => e.name == "Facilitadores")
                    .idx *
                    100 *
                    10) /
                    22,
                  (this.dti.dimensions.find((e) => e.name == "Mentalidad").idx *
                    100 *
                    10) /
                    29,
                ],
              },
            ];
          }, 500);

          companyService
            .getCompanyProfile()
            .then((data) => {
              this.sector = data;
              console.log(this.sector.industrialSector);
              if (
                this.sector.industrialSector &&
                this.sector.industrialSector.name
              ) {
                dtService
                  .getRanking("CLIENT", this.sector.industrialSector.name)
                  .then((response) => {
                    this.rankingSector = response.map((e) => {
                      e.name = "";
                      return e;
                    });
                    let temp = this.rankingSector;
                    temp.forEach((e, i) => {
                      companyService
                        .getCompanyName(e.clientTributaryId)
                        .then((companyName) => {
                          console.log(companyName);
                          this.rankingSector[i].name = companyName;
                        })
                        .catch(() => {
                          this.rankingSector[i].name = "Sin nombre";
                        });
                    });
                  })
                  .catch((err) => {
                    this.$log.error(err);
                  });
                dtService
                  .getPosition(this.sector.industrialSector.name)
                  .then((response) => {
                    this.rankingSectorNumber = response;
                  })
                  .catch((err) => {
                    this.$log.error(err);
                  });
              }
            })
            .catch((err) => this.$log.error(err));

          dtService
            .getRanking("CLIENT")
            .then((response) => {
              this.rankingGlobal = response.map((e) => {
                e.name = "";
                return e;
              });
              let temp = this.rankingGlobal;
              temp.forEach((e, i) => {
                companyService
                  .getCompanyName(e.clientTributaryId)
                  .then((companyName) => {
                    this.rankingGlobal[i].name = companyName;
                  })
                  .catch(() => {
                    this.rankingGlobal[i].name = "Sin nombre";
                  });
              });
              this.finishLoading();
            })
            .catch((err) => {
              this.$log.error(err);
            });
          dtService
            .getPosition()
            .then((response) => {
              this.rankingGlobalNumber = response;
            })
            .catch((err) => {
              this.$log.error(err);
            });
        })
        .catch((err) => {
          this.$log.error(err);
        });
    },
  },
  computed: {
    ...mapGetters("UserStore", ["getPercentage"]),
    worse() {
      let temp = this.dimensions;
      temp.sort(function (a, b) {
        if (a.value < b.value) {
          return -1;
        }
        if (a.value > b.value) {
          return 1;
        }
        return 0;
      });
      return temp[0];
    },
    mobile() {
      return this.$vuetify.breakpoint.sm || this.$vuetify.breakpoint.xs;
    },
    desktop() {
      return (
        this.$vuetify.breakpoint.md ||
        this.$vuetify.breakpoint.lg ||
        this.$vuetify.breakpoint.xl
      );
    },
  },
};
</script>
